Storable(3pm)

NAME
PDL::IO::Storable - helper functions to make PDL usable with Storable

SYNOPSIS
  use Storable;
  use PDL::IO::Storable;
  $hash = {
            'foo' => 42,
            'bar' => zeroes(23,45),
          };
  store $hash, 'perlhash.dat';

DESCRIPTION
"Storable" implements object persistence for Perl data structures that can (in principle) contain arbitrary Perl objects. Complicated objects must supply their own methods to be serialized and thawed. This module implements the relevant methods to be able to store and retrieve piddles via Storable.

FUNCTIONS

  store
store a piddle using Storable

  $a = random 12,10;
  $a->store('myfile');

  freeze
freeze a piddle using Storable

  $a = random 12,10;
  $frozen = $a->freeze;

BUGS
The packed piddles are not stored in a network transparent way. As a result expect problems when moving "Storable" data containing piddles across computers.

This could be fixed by amending the methods "pdlpack" and "pdlunpack" appropriately. If you want this functionality feel free to submit patches.

If you want to move piddle data across platforms I recommend PDL::NetCDF as an excellent (and IMHO superior) workaround.

AUTHOR
Copyright (C) 2002 Christian Soeller <c.soeller@auckland.ac.nz> All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.